### Function

# GLib Variant new_string

since: 2.24

#### Declaration [src]

    GVariant*
    g_variant_new_string (
      const gchar* string
    )

#### Description [src]

Creates a string `GVariant` with the contents of `string`.

`string` must be valid UTF-8, and must not be `NULL`. To encode potentially-`NULL` strings, use `g_variant_new()` with `ms` as the format string.

Available since: 2.24

#### Parameters

`string`

  Type: `const gchar*`

  A normal UTF-8 nul-terminated string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariant`

A floating reference to a new string `GVariant` instance.

The data is owned by the called function.